[Deprecated]: V3.0

put

/ec-designer-svc/rest/v3.0/studies/{studyId}

Deprecated: Use latest version instead. Updates study settings for the specified study. Compared with v2.0, this version accepts the v5 study payload and triggers system code list cloning when the systemCodeListId changes.

Request

Path Parameters
  • Study ID (UUID, 32-character uppercase hexadecimal string). Required. Example: F054C951EB74443C93716CA714AB686E
    Example:
    2F9A6C7E1B8F4D56A23C9F3A0C7D4E11
Supported Media Types
Request Body - application/json ()
Root Schema : StudyDto v5.0
Type: object
Title: StudyDto v5.0
Study details returned in the v3.0 paginated studies response.
Show Source
Nested Schema : companies
Type: array
Companies list who sponsor the study
Show Source
Example:
ABC Pharma
Nested Schema : companyLabels
Type: array
Company labels associated with the study
Show Source
Example:
ABC Pharma
Nested Schema : modes
Type: array
Show Source
  • Allowed Values: [ "test", "training", "active" ]
    Study modes
    Example: active
Examples

Back to Top

Response

Supported Media Types

200 Response

Successful operation.
Body ()
Root Schema : StudyDto v5.0
Type: object
Title: StudyDto v5.0
Study details returned in the v3.0 paginated studies response.
Show Source
Nested Schema : companies
Type: array
Companies list who sponsor the study
Show Source
Example:
ABC Pharma
Nested Schema : companyLabels
Type: array
Company labels associated with the study
Show Source
Example:
ABC Pharma
Nested Schema : modes
Type: array
Show Source
  • Allowed Values: [ "test", "training", "active" ]
    Study modes
    Example: active
Examples

404 Response

Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Body ()
Root Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}

500 Response

Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Body ()
Root Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}
Back to Top